Commit 29c68398c5b5c7fc7ff5534ed3921b6faa9912a9

Stefan Sperling 2020-09-24T00:51:04

check final repository state in test_histedit_fold_add_delete

1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
diff --git a/regress/cmdline/histedit.sh b/regress/cmdline/histedit.sh
index dc2761f..1999e16 100755
--- a/regress/cmdline/histedit.sh
+++ b/regress/cmdline/histedit.sh
@@ -1425,6 +1425,16 @@ test_histedit_fold_add_delete() {
 	ret="$?"
 	if [ "$ret" != "0" ]; then
 		diff -u $testroot/stdout.expected $testroot/stdout
+		test_done "$testroot" "$ret"
+		return 1
+	fi
+
+	got tree -r $testroot/repo epsilon > $testroot/stdout
+	echo "zeta" > $testroot/stdout.expected
+	cmp -s $testroot/stdout.expected $testroot/stdout
+	ret="$?"
+	if [ "$ret" != "0" ]; then
+		diff -u $testroot/stdout.expected $testroot/stdout
 	fi
 	test_done "$testroot" "$ret"
 }